Memify
Enrichment pipeline in Cognee, can work with already built graphs. If no data is provided existing knowledge graph will be used as data, custom data can also be provided instead which can be processed with provided extraction and enrichment tasks.
Provided tasks and data will be arranged to run the Cognee pipeline and execute graph enrichment/creation.
Request Parameters
- extractionTasks Optional[List[str]]: List of available Cognee Tasks to execute for graph/data extraction.
- enrichmentTasks Optional[List[str]]: List of available Cognee Tasks to handle enrichment of provided graph/data from extraction tasks.
- data Optional[List[str]]: The data to ingest. Can be any text data when custom extraction and enrichment tasks are used. Data provided here will be forwarded to the first extraction task in the pipeline as input. If no data is provided the whole graph (or subgraph if node_name/node_type is specified) will be forwarded
- dataset_name (Optional[str]): Name of the datasets to memify
- dataset_id (Optional[UUID]): List of UUIDs of an already existing dataset
- node_name (Optional[List[str]]): Filter graph to specific named entities (for targeted search). Used when no data is provided.
- run_in_background (Optional[bool]): Whether to execute processing asynchronously. Defaults to False (blocking).
Either datasetName or datasetId must be provided.
Response
Returns information about the add operation containing:
- Status of the operation
- Details about the processed data
- Any relevant metadata from the ingestion process
Error Codes
- 400 Bad Request: Neither datasetId nor datasetName provided
- 409 Conflict: Error during memify operation
- 403 Forbidden: User doesn’t have permission to use dataset
Notes
- To memify datasets not owned by the user, use dataset_id (when ENABLE_BACKEND_ACCESS_CONTROL is set to True)
- datasetId value can only be the UUID of an already existing dataset
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response
Successful Response
The response is of type Response Memify Api V1 Memify Post · object.